Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032327
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2016-02-23 18:582016-02-25 14:03
ReportermalsasuaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision36ae3dccf3a6
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2015-08-19
Regression introduced in release3.0PR15Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/d451a9fb55e553d4c6df0b6c3c57d02c90f52567 [^]
Triggers an Emergency PackNo
Summary

0032327: "generate invoice from receipt" button is not working

Descriptionin goods receipt window, if you try to execute the "generate invoice from receipt" process, error is returned:
null value in column "grosspricestd" violates not-null constraint
Steps To Reproduce. create a new good receipt
. add new line
. process
. click in "generate invoice from receipt"
error is returned:
null value in column "grosspricestd" violates not-null constraint
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0032323 closedAtulOpenbravo "generate invoice from receipt" button is not working 

-  Notes
(0084504)
hgbot (developer)
2016-02-25 14:01

Repository: erp/backports/3.0PR16Q1
Changeset: 36ae3dccf3a65322ede2c5b26e6f87c855454c61
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Feb 24 18:05:08 2016 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/36ae3dccf3a65322ede2c5b26e6f87c855454c61 [^]

Fixes Issue 32327:"Generate invoice from receipt" button is not working

In case tax not included in price list, gross std price and list price
was set will null value which is not allowed by db table. now they are
initiated to value zero first.

---
M src-db/database/model/functions/M_INOUT_CREATEINVOICE.xml
---
(0084507)
vmromanos (developer)
2016-02-25 14:03

Code review + testing OK

- Issue History
Date Modified Username Field Change
2016-02-24 14:23 AtulOpenbravo Type defect => backport
2016-02-24 14:23 AtulOpenbravo Target Version => 3.0PR16Q1
2016-02-25 11:26 vmromanos Regression level Production - Confirmed Stable => Production - QA Approved
2016-02-25 14:01 hgbot Checkin
2016-02-25 14:01 hgbot Note Added: 0084504
2016-02-25 14:01 hgbot Status scheduled => resolved
2016-02-25 14:01 hgbot Resolution open => fixed
2016-02-25 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/36ae3dccf3a65322ede2c5b26e6f87c855454c61 [^]
2016-02-25 14:03 vmromanos Review Assigned To => vmromanos
2016-02-25 14:03 vmromanos Note Added: 0084507
2016-02-25 14:03 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker